// creator  : weidu.exe (version 23100)
// argument : BJAHEI25.DLG
// game		 : .
// source	 : ./DATA/25DIALOG.BIF
// dialog	 : ./DIALOG.TLK
// dialogF  : (none)

BEGIN ~BJAHEI25~
//////////////////////////////////////////////////
// WARNING: this file contains non-trivial WEIGHTs
//////////////////////////////////////////////////

IF ~~ THEN BEGIN 0 // from: BANOME25:51.3
  SAY #68472 /* ~Escaped?  That is not quite how I would describe it.~ */
  IF ~~ THEN EXTERN ~BANOME25~ 52
END

IF WEIGHT #7 /* Triggers after states #: 29 39 47 59 67 75 88 even though they appear after this state */
~InParty("Imoen")
See("Imoen")
!StateCheck("Imoen",STATE_SLEEPING)
Global("ExpBJaheira1","LOCALS",0)~ THEN BEGIN 1 // from:
  SAY #68489 /* ~A moment, Imoen, if you don't mind.~ [JAHE2512] */
  IF ~~ THEN DO ~SetGlobal("ExpBJaheira1","LOCALS",1)~ EXTERN ~BIMOEN25~ 29
END

IF ~~ THEN BEGIN 2 // from: BIMOEN25:29.0
  SAY #68491 /* ~Well, that is just it, isn't it? You have been so formal to me, so distant. Is there something wrong?~ */
  IF ~~ THEN EXTERN ~BIMOEN25~ 30
END

IF ~~ THEN BEGIN 3 // from: BIMOEN25:30.0
  SAY #68493 /* ~Because of my association with the Harpers? I thought so. <CHARNAME> has suffered at the hands of many groups because of <PRO_HISHER> lineage and now that you share it...~ */
  IF ~~ THEN EXTERN ~BIMOEN25~ 31
END

IF ~~ THEN BEGIN 4 // from: BIMOEN25:31.0
  SAY #68495 /* ~Let them see you however they wish. What can you do but just be yourself? I know these are only words but... you will be fine.~ */
  IF ~~ THEN EXTERN ~BIMOEN25~ 32
END

IF ~~ THEN BEGIN 5 // from: BSAREV25:53.0
  SAY #69067 /* ~Walk where you will. My fight with you is over.~ [JAHE2517] */
  IF ~~ THEN EXTERN ~BSAREV25~ 54
END

IF ~~ THEN BEGIN 6 // from: BSAREV25:54.0
  SAY #69073 /* ~You are nothing to me. You are a phantom, a shadow of an evil already faded. I will remember your defeat and nothing more.~ */
  IF ~~ THEN EXTERN ~BSAREV25~ 58
END

IF ~~ THEN BEGIN 7 // from: BSAREV25:58.0
  SAY #69086 /* ~Your existence is an insult to Gorion and every life you took, so I deny you, just as nature's grand cycle has denied you and spat you back upon the surface.~ */
  IF ~~ THEN EXTERN ~BSAREV25~ 62
END

IF ~~ THEN BEGIN 8 // from: BSAREV25:62.0
  SAY #69116 /* ~You *exist*, you do not *live*. You will miss the great mother's embrace in time. You are nothing.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #8 /* Triggers after states #: 29 39 47 59 67 75 88 even though they appear after this state */
~InParty("Nalia")
See("Nalia")
!StateCheck("Nalia",STATE_SLEEPING)
Global("ExpBJaheira2","LOCALS",0)~ THEN BEGIN 9 // from:
  SAY #69127 /* ~Well, little Nalia, it would seem you have grown quite accustomed to the power you now wield.~ [JAHE2513] */
  IF ~~ THEN DO ~SetGlobal("ExpBJaheira2","LOCALS",1)~ EXTERN ~BNALIA25~ 33
END

IF ~~ THEN BEGIN 10 // from: BNALIA25:33.0
  SAY #69131 /* ~'That' tone? I do not understand what you mean.~ */
  IF ~~ THEN EXTERN ~BNALIA25~ 35
END

IF ~~ THEN BEGIN 11 // from: BNALIA25:35.0
  SAY #69134 /* ~I see. And what do you think the outcome of such a conversation would be?~ */
  IF ~~ THEN EXTERN ~BNALIA25~ 36
END

IF ~~ THEN BEGIN 12 // from: BNALIA25:36.0
  SAY #69143 /* ~Determined to do good works no matter what the world thinks, is that the gist of it?~ */
  IF ~~ THEN EXTERN ~BNALIA25~ 40
END

IF ~~ THEN BEGIN 13 // from: BNALIA25:40.0
  SAY #69147 /* ~Then I agree that the lecture would be unnecessary. I need say nothing.~ */
  IF ~~ THEN EXTERN ~BNALIA25~ 42
END

IF WEIGHT #9 /* Triggers after states #: 29 39 47 59 67 75 88 even though they appear after this state */
~InParty("Keldorn")
See("Keldorn")
!StateCheck("Keldorn",STATE_SLEEPING)
Global("ExpBJaheira3","LOCALS",0)~ THEN BEGIN 14 // from:
  SAY #69161 /* ~Keldorn? You look pensive. Are you well?~ [JAHE2514] */
  IF ~~ THEN DO ~SetGlobal("ExpBJaheira3","LOCALS",1)~ EXTERN ~BKELDO25~ 51
END

IF ~~ THEN BEGIN 15 // from: BKELDO25:51.0
  SAY #69163 /* ~Hmm. I have been thinking as well. It is hard to draw a line in the sand and say 'this side represents balance, this other side does not,'~ */
  IF ~~ THEN EXTERN ~BKELDO25~ 52
END

IF ~~ THEN BEGIN 16 // from: BKELDO25:52.0
  SAY #69165 /* ~Ah. Having trouble with the black and white aspects?~ */
  IF ~~ THEN EXTERN ~BKELDO25~ 53
END

IF ~~ THEN BEGIN 17 // from: BKELDO25:53.0
  SAY #69167 /* ~I'm not sure what to say. We do what we can when the opportunity presents itself.~ */
  IF ~~ THEN EXTERN ~BKELDO25~ 54
END

IF ~~ THEN BEGIN 18 // from: BJAN25:86.0
  SAY #69174 /* ~Oh come now. Certainly I reserve my emotions for matters of great import but...~ [JAHE2516] */
  IF ~~ THEN EXTERN ~BJAN25~ 87
END

IF ~~ THEN BEGIN 19 // from: BJAN25:87.0
  SAY #69177 /* ~Well, have you a relative that might remedy the situation?~ */
  IF ~~ THEN EXTERN ~BJAN25~ 88
END

IF ~~ THEN BEGIN 20 // from: BJAN25:90.0
  SAY #69208 /* ~Ah...~ */
  IF ~~ THEN EXTERN ~BJAN25~ 93
END

IF ~~ THEN BEGIN 21 // from: BJAN25:93.0
  SAY #69209 /* ~Not... one of your best. (snicker)~ */
  IF ~~ THEN EXTERN ~BJAN25~ 91
END

IF ~~ THEN BEGIN 22 // from: BJAN25:91.0
  SAY #69211 /* ~Keep trying?~ */
  IF ~~ THEN EXTERN ~BJAN25~ 92
END

IF WEIGHT #10 /* Triggers after states #: 29 39 47 59 67 75 88 even though they appear after this state */
~InParty("Valygar")
See("Valygar")
!StateCheck("Valygar",STATE_SLEEPING)
Global("ExpBJaheira4","LOCALS",0)~ THEN BEGIN 23 // from:
  SAY #69215 /* ~I find it surprising we have so little to say to one another, Valygar.~ [JAHE2515] */
  IF ~~ THEN DO ~SetGlobal("ExpBJaheira4","LOCALS",1)~ EXTERN ~BVALYG25~ 59
END

IF ~~ THEN BEGIN 24 // from: BVALYG25:59.0
  SAY #69217 /* ~I understand. Still, we share much as druid and ranger.~ */
  IF ~~ THEN EXTERN ~BVALYG25~ 60
END

IF ~~ THEN BEGIN 25 // from: BVALYG25:60.0
  SAY #69219 /* ~Perhaps. As a druid, any encroachment of civilization on the wild places is a loss to be mourned.~ */
  IF ~~ THEN EXTERN ~BVALYG25~ 61
END

IF ~~ THEN BEGIN 26 // from: BVALYG25:61.0
  SAY #69221 /* ~Destroyed?~ */
  IF ~~ THEN EXTERN ~BVALYG25~ 62
END

IF ~~ THEN BEGIN 27 // from: BVALYG25:62.0
  SAY #69223 /* ~I'm sure it was a dire circumstance.~ */
  IF ~~ THEN EXTERN ~BVALYG25~ 63
END

IF ~~ THEN BEGIN 28 // from: BVALYG25:63.0
  SAY #69225 /* ~Well, we shall have to agree to disagree.~ */
  IF ~~ THEN EXTERN ~BVALYG25~ 64
END

IF WEIGHT #0 ~Global("JaheiraRomanceActive","GLOBAL",2)
Global("ExpLoveTalk","LOCALS",2)~ THEN BEGIN 29 // from:
  SAY #69579 /* ~Ah... it seems we are never allowed a moment of rest. Still, I am glad we have accomplished so much.~ [JAHE2502] */
  IF ~~ THEN REPLY #69583 /* ~Really? I have had the feeling of running in circles.~ */ GOTO 30
  IF ~~ THEN REPLY #69584 /* ~I'm just happy to have weathered it all with you still at my side.~ */ GOTO 32
  IF ~~ THEN REPLY #69585 /* ~Jaheira, I'm sorry, but I can't talk right now.~ */ GOTO 34
  IF ~~ THEN REPLY #69586 /* ~Give it a rest. My life continues to be a monumental chore.~ */ GOTO 36
END

IF ~~ THEN BEGIN 30 // from: 29.0
  SAY #69589 /* ~Perhaps, but we have dealt with much. With Irenicus dead, many ghosts can rest. His victims can go to their fates with no unfinished business.~ */
  IF ~~ THEN GOTO 31
END

IF ~~ THEN BEGIN 31 // from: 32.0 30.0
  SAY #69592 /* ~That is important to me, <CHARNAME>. There must be closure to the past for us to... to move forward.~ */
  IF ~~ THEN GOTO 33
END

IF ~~ THEN BEGIN 32 // from: 29.1
  SAY #69593 /* ~I am glad as well. I was worried that my desire to avenge the... the dead had... well... I just wanted the business of the past to be well and truly finished.~ */
  IF ~~ THEN GOTO 31
END

IF ~~ THEN BEGIN 33 // from: 31.0
  SAY #69595 /* ~If that is still your wish, I mean...~ */
  IF ~~ THEN REPLY #69596 /* ~Jaheira, I need you here. You keep me grounded.~ */ GOTO 38
  IF ~~ THEN REPLY #69598 /* ~What I want changes daily. Everything is a bit crazy right now.~ */ GOTO 34
END

IF ~~ THEN BEGIN 34 // from: 33.1 29.2
  SAY #69599 /* ~I know, there is always something to take our attention. I will leave you to it, but I just wanted to say... to say that...~ */
  IF ~~ THEN GOTO 35
END

IF ~~ THEN BEGIN 35 // from: 38.0 34.0
  SAY #69601 /* ~I just wanted to say that I still feel for you, and that I hope we can get past all of this... together.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 36 // from: 29.3
  SAY #69604 /* ~Well, perhaps I have chosen the wrong time to bother you. If you wish to wallow in your troubles, I shall wait until you are done.~ */
  IF ~~ THEN GOTO 37
END

IF ~~ THEN BEGIN 37 // from: 36.0
  SAY #69605 /* ~I'll be here if you need me, you know. You are not alone in this.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 38 // from: 33.0
  SAY #69609 /* ~I had hoped as much. You are very important to me, <CHARNAME>. I could not imagine us...~ */
  IF ~~ THEN GOTO 35
END

IF WEIGHT #1 ~Global("LovedOne","GLOBAL",2)
Global("JaheiraRomanceActive","GLOBAL",2)
Global("ExpLoveTalk","LOCALS",4)~ THEN BEGIN 39 // from:
  SAY #69614 /* ~I really did not need that... that phantom and his accusations. How dare he! To defile the form of Gorion and Khalid with such... with such...~ [JAHE2503] */
  IF ~~ THEN REPLY #69619 /* ~I know. It was an insult to the people they were.~ */ GOTO 43
  IF ~~ THEN REPLY #69620 /* ~As if the living do not suffer enough when loved ones fall.~ */ GOTO 43
  IF ~~ THEN REPLY #69621 /* ~Well, he did have a point. We both failed them.~ */ GOTO 40
END

IF ~~ THEN BEGIN 40 // from: 39.2
  SAY #69624 /* ~What? They were taken from us horribly, the pain of their loss stinging our hearts! If their deaths could have been prevented, we would have found a way!~ */
  IF ~~ THEN REPLY #69626 /* ~I'm sorry, I didn't mean to upset you. It was hard for me, too.~ */ GOTO 43
  IF ~~ THEN REPLY #69627 /* ~But you didn't, and that's a failure. I mean, he really did have a point.~ */ GOTO 41
END

IF ~~ THEN BEGIN 41 // from: 40.1
  SAY #69635 /* ~Is that... is that how you see us... see me? As a failure? As someone that lets her friends and loved ones die? I... how could you... HOW COULD YOU!~ */
  IF ~~ THEN GOTO 42
END

IF ~~ THEN BEGIN 42 // from: 41.0
  SAY #69637 /* ~Walk away, <CHARNAME>. I do not wish to look at you. Walk away, and stay away.~ */
  IF ~~ THEN DO ~SetGlobal("JaheiraRomanceActive","GLOBAL",3)~ EXIT
END

IF ~~ THEN BEGIN 43 // from: 40.0 39.1 39.0
  SAY #69639 /* ~I have grieved in prayer and action for all that have fallen around me. I have fought to avenge each and every soul that has been taken in the fight for balance.~ */
  IF ~~ THEN GOTO 44
END

IF ~~ THEN BEGIN 44 // from: 43.0
  SAY #69642 /* ~I will not be accused of dishonoring their memory, of benefiting from the death of friends. I have punished myself enough for...~ */
  IF ~~ THEN REPLY #69647 /* ~Jaheira, you have done so much...~ */ GOTO 45
END

IF ~~ THEN BEGIN 45 // from: 44.0
  SAY #69643 /* ~I mean... you made certain that Gorion and his vision were properly honored, even if you could not save...~ */
  IF ~~ THEN REPLY #69646 /* ~Jaheira!~ */ GOTO 46
END

IF ~~ THEN BEGIN 46 // from: 45.0
  SAY #69644 /* ~I am sorry. I should stop. I will not poison your view of me by having you assume my regrets. That is not fair of me.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #2 ~Global("JaheiraRomanceActive","GLOBAL",2)
Global("ExpLoveTalk","LOCALS",6)~ THEN BEGIN 47 // from:
  SAY #69650 /* ~I... I wanted to say... Can you listen to me for a moment?~ [JAHE2504] */
  IF ~~ THEN REPLY #69651 /* ~Of course, Jaheira. I was worried about you.~ */ GOTO 56
  IF ~~ THEN REPLY #69652 /* ~No, I won't. I want to speak and have you listen to me.~ */ GOTO 49
  IF ~~ THEN REPLY #69653 /* ~No, I have no more time for your outbursts.~ */ GOTO 48
END

IF ~~ THEN BEGIN 48 // from: 47.2
  SAY #69655 /* ~No more time? I see. Why have I not seen this side of you... Perhaps you are changing more than you like to believe. Perhaps you have already lost...~ */
  IF ~~ THEN DO ~SetGlobal("JaheiraRomanceActive","GLOBAL",3)~ EXIT
END

IF ~~ THEN BEGIN 49 // from: 47.1
  SAY #69665 /* ~I... very well. Speak your mind.~ */
  IF ~~ THEN REPLY #69666 /* ~No, I will speak my heart. Jaheira, I care deeply for you. I need to know if our relationship is the healthiest thing for you.~ */ GOTO 52
  IF ~~ THEN REPLY #69667 /* ~Will you truly hear? You are so unsure of the future, of your feelings, even with my reassurances.~ */ GOTO 56
  IF ~~ THEN REPLY #69668 /* ~I want this to end, Jaheira. I can't handle your ups and downs. It's too much.~ */ GOTO 50
END

IF ~~ THEN BEGIN 50 // from: 57.2 55.1 54.1 49.2
  SAY #69670 /* ~What? What do you mean? We have come so far together... I see. I see the coldness in your eyes. Did I do this... or are you changing more than you think...~ */
  IF ~~ THEN GOTO 51
END

IF ~~ THEN BEGIN 51 // from: 50.0
  SAY #69671 /* ~Very well. No more will I trouble you with my petty feelings. Don't look at me like that. In fact, don't look at me at all. We have work to do... no more distractions.~ */
  IF ~~ THEN DO ~SetGlobal("JaheiraRomanceActive","GLOBAL",3)~ EXIT
END

IF ~~ THEN BEGIN 52 // from: 57.1 49.0
  SAY #69672 /* ~Healthy for me? What do you mean?~ */
  IF ~~ THEN REPLY #69673 /* ~Is it too soon, Jaheira? That wraith of Khalid shook you up pretty bad, and I need to know if you think our relationship is a good thing, or if you feel guilty for having feelings for me. I need to know.~ */ GOTO 53
END

IF ~~ THEN BEGIN 53 // from: 52.0
  SAY #69675 /* ~<CHARNAME>, I... I...~ */
  IF ~ReputationGT(LastTalkedToBy,13)~ THEN GOTO 55
  IF ~ReputationLT(LastTalkedToBy,14)~ THEN GOTO 54
END

IF ~~ THEN BEGIN 54 // from: 53.1
  SAY #69676 /* ~I don't know... I just don't know... you may not be the man you claim to be... you may not be mortal at all! Am I deluded... am I really feeling this...~ */
  IF ~~ THEN REPLY #69678 /* ~Then we need to work on this, Jaheira. It's hard, I know, but I need you here, with me.~ */ GOTO 58
  IF ~~ THEN REPLY #69679 /* ~Then that's it. It's better that this end. Your ups and downs are not healthy... for either of us.~ */ GOTO 50
END

IF ~~ THEN BEGIN 55 // from: 53.0
  SAY #69683 /* ~Without a doubt in my mind, I say to you that I am not sorry for a moment we have been together. I have many regrets in my life, but you are not one of them.~ */
  IF ~~ THEN REPLY #69684 /* ~Then please understand that nothing will change how I feel. I need you here.~ */ GOTO 58
  IF ~~ THEN REPLY #69685 /* ~Even so, I don't think this is going to work. I don't think your ups and downs are a good thing, for either of us.~ */ GOTO 50
END

IF ~~ THEN BEGIN 56 // from: 49.1 47.0
  SAY #69686 /* ~I am sorry for my reaction previously. I don't want you to think that I regret my actions with you. I do not.~ */
  IF ~~ THEN GOTO 57
END

IF ~~ THEN BEGIN 57 // from: 56.0
  SAY #69688 /* ~Khalid's loss was very hard for me, but we both understood the risks, and we both knew we would not honor the memory of the other by brooding forever.~ */
  IF ~~ THEN REPLY #69691 /* ~Think no more of it, Jaheira. I want you here, no matter the difficulties we encounter.~ */ GOTO 58
  IF ~~ THEN REPLY #69692 /* ~I don't know, Jaheira. His shadow is still over you. Is our relationship the healthiest thing for you?~ */ GOTO 52
  IF ~~ THEN REPLY #69696 /* ~And yet he keeps returning. No, I think we should end this. It's not helping either of us.~ */ GOTO 50
END

IF ~~ THEN BEGIN 58 // from: 57.0 55.0 54.0
  SAY #69697 /* ~That means a lot to me, <CHARNAME>. You are foremost in my life now. Shadows cannot change that.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #3 ~Global("SaradushSacked","GLOBAL",1)
Global("JaheiraRomanceActive","GLOBAL",2)
Global("ExpLoveTalk","LOCALS",8)~ THEN BEGIN 59 // from:
  SAY #69700 /* ~Sleep did not come easy last night. I hope I am not alone in this.~ [JAHE2505] */
  IF ~~ THEN REPLY #69707 /* ~I couldn't close my eyes at all. I kept seeing the city of Saradush... burning.~ */ GOTO 60
  IF ~~ THEN REPLY #69708 /* ~I slept well enough, though I do have sympathy for those hurt because of my kind.~ */ GOTO 62
  IF ~~ THEN REPLY #69709 /* ~What? Did I miss something? I slept like the dead.~ */ GOTO 63
END

IF ~~ THEN BEGIN 60 // from: 59.0
  SAY #69713 /* ~It is strange, but I am glad you are pained as I am. I had worried you were already slipping from your mortal form, becoming less the man I... feel for.~ */
  IF ~~ THEN GOTO 61
END

IF ~~ THEN BEGIN 61 // from: 62.0 60.0
  SAY #69714 /* ~<CHARNAME>, do not lose yourself. You care about your fellow beings, about me. I do not know if the gods have such feelings... we are so small to them.~ */
  IF ~~ THEN REPLY #69724 /* ~I am here, Jaheira. I share your concern, and I will see this cannot happen again.~ */ GOTO 66
  IF ~~ THEN REPLY #69725 /* ~I don't know. Much good could be done for the grande scheme of things. Little things work themselves out.~ */ GOTO 64
  IF ~~ THEN REPLY #69726 /* ~I know, and I am tired of it. I will be noticed. I will be a power to be reckoned with.~ */ GOTO 64
END

IF ~~ THEN BEGIN 62 // from: 63.0 59.1
  SAY #69728 /* ~I worry for you. You seem distant, when the carnage is so real, so near. I know you worry for others, but I hope you are not immune to the pain yourself.~ */
  IF ~~ THEN GOTO 61
END

IF ~~ THEN BEGIN 63 // from: 59.2
  SAY #69734 /* ~I hope that was not a joke at the expense of the fallen in Saradush! How could you be so insensitive? How could you look on them so callously...~ */
  IF ~~ THEN REPLY #69735 /* ~An ill-timed jest, and I am sorry. I just don't know how to articulate the pain of it.~ */ GOTO 62
  IF ~~ THEN REPLY #69737 /* ~I am just above it all. This was a small thing compared to what might come.~ */ GOTO 64
END

IF ~~ THEN BEGIN 64 // from: 63.1 61.2 61.1
  SAY #69742 /* ~And what will be your role? Are you to be the avenging solar or marauding demon? Neither is a creature of balance. Neither is anchored in the world of mortals.~ */
  IF ~~ THEN GOTO 65
END

IF ~~ THEN BEGIN 65 // from: 64.0
  SAY #69743 /* ~<CHARNAME>, please, give thought to your actions. I do not want to lose you to this beast you carry within. Be careful.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 66 // from: 61.0
  SAY #69744 /* ~I am glad. Remember who you are and what we have. It has been just as hard-won as your destiny. It matters.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #4 ~Global("JaheiraRomanceActive","GLOBAL",2)
Global("ExpLoveTalk","LOCALS",10)~ THEN BEGIN 67 // from:
  SAY #69747 /* ~You know, we should return to the elven city one day...~ [JAHE2506] */
  IF ~~ THEN REPLY #69758 /* ~It was beautiful, I'll give it that. A pity it suffered like it did.~ */ GOTO 68
  IF ~~ THEN REPLY #69760 /* ~Am I truly welcome there? I think they blamed me a little, just as they will in Saradush.~ */ GOTO 69
  IF ~~ THEN REPLY #69761 /* ~Why, so they can stare with their untrusting eyes? I felt that from them.~ */ GOTO 69
END

IF ~~ THEN BEGIN 68 // from: 67.0
  SAY #69762 /* ~Yes, but they will rebuild. Even the elves feel the impetus of time and act to better themselves. They are not slaves of destiny.~ */
  IF ~~ THEN REPLY #69763 /* ~Well, that sounded rehearsed. What are you getting at?~ */ GOTO 70
  IF ~~ THEN REPLY #69764 /* ~Please don't disguise your meaning, Jaheira. Voice your concern openly.~ */ GOTO 70
END

IF ~~ THEN BEGIN 69 // from: 67.2 67.1
  SAY #69765 /* ~Perhaps, but that is only because their true enemy was so far removed. You bear a taint and were there, so they didn't know what to expect. Destiny means nothing to victims.~ */
  IF ~~ THEN REPLY #69766 /* ~Well, that sounded rehearsed. What are you getting at?~ */ GOTO 70
  IF ~~ THEN REPLY #69767 /* ~Please don't disguise your meaning, Jaheira. Voice your concern openly.~ */ GOTO 70
END

IF ~~ THEN BEGIN 70 // from: 69.1 69.0 68.1 68.0
  SAY #69768 /* ~I did not intend to speak down to you. I just want you to remember what is worthwhile. Destiny seems intent to claim you, and I don't know if that is for the best.~ */
  IF ~~ THEN GOTO 71
END

IF ~~ THEN BEGIN 71 // from: 70.0
  SAY #69770 /* ~Even if people distrust you now, at least it is *you* that they distrust. The creatures threatening us are beyond this earth. They are abstract, strange, and out of balance.~ */
  IF ~~ THEN GOTO 72
END

IF ~~ THEN BEGIN 72 // from: 71.0
  SAY #69784 /* ~<CHARNAME>, I know *you*, not your taint. I just want to protect what I have an interest in. Your life is tied to mine now.~ */
  IF ~~ THEN REPLY #69787 /* ~Jaheira, I am not leaving anytime soon. Please, trust in me.~ */ GOTO 74
  IF ~~ THEN REPLY #69788 /* ~An impassioned plea, but I am not as worried as you.~ */ GOTO 73
  IF ~~ THEN REPLY #69789 /* ~I will do as I must when the time comes. Don't fill my head with doubts.~ */ GOTO 73
END

IF ~~ THEN BEGIN 73 // from: 72.2 72.1
  SAY #69796 /* ~You speak with the tone of someone who has already decided their fate. I hope it is the right one for you. I hope there is a place in it for me.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 74 // from: 72.0
  SAY #69797 /* ~I do. I just want to make sure you know it.~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #5 ~Global("JaheiraRomanceActive","GLOBAL",2)
Global("ExpLoveTalk","LOCALS",12)~ THEN BEGIN 75 // from:
  SAY #69798 /* ~There are great changes to come, aren't there? Of all possibilities, I worry most for your future.~ [JAHE2507] */
  IF ~~ THEN REPLY #69799 /* ~Why so, Jaheira? What concerns you?~ */ GOTO 76
  IF ~~ THEN REPLY #69800 /* ~My future seems to be on the minds of many creatures.~ */ GOTO 76
  IF ~~ THEN REPLY #69801 /* ~You do an awful lot of worrying about things you have no effect on.~ */ GOTO 79
END

IF ~~ THEN BEGIN 76 // from: 75.1 75.0
  SAY #69802 /* ~We have fought much, and many children of Bhaal. They have sought conquest, to raise Bhaal, to become Bhaal, to destroy, to create, and now I wonder...~ */
  IF ~~ THEN GOTO 77
END

IF ~~ THEN BEGIN 77 // from: 79.0 76.0
  SAY #69803 /* ~I wonder, <CHARNAME>, what will happen when this is over? If we prevail, that will undoubtedly free a great amount of the Bhaal taint. Will that be yours?~ */
  IF ~~ THEN GOTO 78
END

IF ~~ THEN BEGIN 78 // from: 77.0
  SAY #69804 /* ~I mean, the children were to raise Bhaal. They are pushed to conquest to grow in strength, and then that strength is returned to Bhaal when they die. What if he is not raised?~ */
  IF ~~ THEN REPLY #69806 /* ~Someone will have to assume the power. Perhaps me. Perhaps not.~ */ GOTO 80
  IF ~~ THEN REPLY #69807 /* ~He will be dead forever. His power will dissipate and be gone.~ */ GOTO 83
  IF ~~ THEN REPLY #69808 /* ~Perhaps his power could be contained... If there are other children, it may begin again.~ */ GOTO 82
END

IF ~~ THEN BEGIN 79 // from: 75.2
  SAY #69805 /* ~I need to think I can make a difference, even in the face of destiny. There are gods involved here, but mortals push the events. Followers of Bhaal especially... and now I wonder...~ */
  IF ~~ THEN GOTO 77
END

IF ~~ THEN BEGIN 80 // from: 83.0 82.0 78.0
  SAY #69809 /* ~That is my greatest fear. Such a person would become unreal, become godlike. They could not exist in a mortal shell. Nature would not allow it...~ */
  IF ~~ THEN GOTO 81
END

IF ~~ THEN BEGIN 81 // from: 80.0
  SAY #69810 /* ~Such a person would leave this plane, called to duties elsewhere, beyond our thinking. Such a person might as well be dead to us... to me...~ */
  IF ~~ THEN REPLY #69813 /* ~No. No, Jaheira, please calm down. I will not leave you, dead or otherwise.~ */ GOTO 84
  IF ~~ THEN REPLY #69814 /* ~Jaheira, what is this about?~ */ GOTO 84
  IF ~~ THEN REPLY #69815 /* ~But not dead. No, a being of wondrous power! Such a fitting fate...~ */ GOTO 85
END

IF ~~ THEN BEGIN 82 // from: 78.2
  SAY #69811 /* ~And we would be called to fight again, until we faced this same problem once more. Again someone would try to possess the power... you might...~ */
  IF ~~ THEN GOTO 80
END

IF ~~ THEN BEGIN 83 // from: 78.1
  SAY #69812 /* ~Will it? He is dead now, and his power nests in whoever fights hard enough to get it. Who will fight for it tomorrow? Another spawn? Another god? You?~ */
  IF ~~ THEN GOTO 80
END

IF ~~ THEN BEGIN 84 // from: 81.1 81.0
  SAY #69816 /* ~I want you to be with me for a very long time, and I have enough trouble just seeing you hurt in combat without... without destiny killing you outright.~ */
  IF ~~ THEN REPLY #69818 /* ~Enough sorrow, Jaheira. I'm here now, and I promise I'll be here tomorrow.~ */ GOTO 86
  IF ~~ THEN REPLY #69819 /* ~Jaheira, even my own mistakes have trouble killing me. Things will work out.~ */ GOTO 87
  IF ~~ THEN REPLY #69820 /* ~I am the master of my destiny. I have nothing to fear from my glorious fate!~ */ GOTO 85
END

IF ~~ THEN BEGIN 85 // from: 84.2 81.2
  SAY #69817 /* ~A fate for you and who else? Not me. There is no place in such a fate for me.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 86 // from: 84.0
  SAY #69821 /* ~Tomorrow... one day... What of the rest? Please, think about the rest.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 87 // from: 84.1
  SAY #69822 /* ~I don't think you've tried quite this hard before...~ */
  IF ~~ THEN EXIT
END

IF WEIGHT #6 ~Global("JaheiraRomanceActive","GLOBAL",2)
Global("ExpLoveTalk","LOCALS",14)~ THEN BEGIN 88 // from:
  SAY #69823 /* ~Well, it would appear that this... this is close to the end of our journey.~ [JAHE2508] */
  IF ~~ THEN GOTO 89
END

IF ~~ THEN BEGIN 89 // from: 88.0
  SAY #69827 /* ~I trust you, <CHARNAME>. Remember that.~ [JAHE2509] */
  IF ~~ THEN REPLY #69828 /* ~Don't worry. This is my dance, and I'll call it how I want it.~ */ GOTO 95
  IF ~~ THEN REPLY #69829 /* ~I'm glad someone does. Seems like the gods want to hold my hand through it.~ */ GOTO 93
  IF ~~ THEN REPLY #69830 /* ~There will be a special place at the foot of my throne for you.~ */ GOTO 90
  IF ~~ THEN REPLY #69831 /* ~Just stand back from here on in.~ */ GOTO 94
END

IF ~~ THEN BEGIN 90 // from: 89.2
  SAY #69832 /* ~What!~ */
  IF ~~ THEN REPLY #69833 /* ~Kidding! Just kidding! Lighten up, it's destiny day.~ */ GOTO 91
  IF ~~ THEN REPLY #69834 /* ~Nothing. Don't worry.~ */ GOTO 92
END

IF ~~ THEN BEGIN 91 // from: 90.0
  SAY #69835 /* ~You're a son-of-a-something all right, making jokes at a time like this, but I wouldn't call it a god.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 92 // from: 90.1
  SAY #69836 /* ~Don't worry? Don't worry, he says. Hmph!~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 93 // from: 89.1
  SAY #69837 /* ~I will too, if you like.~ */
  IF ~~ THEN REPLY #69838 /* ~Oooh, aren't you sweet. Okay, beautiful, you and me. Here we go.~ */ GOTO 97
  IF ~~ THEN REPLY #69839 /* ~Funny. I'm glad you're laughing.~ */ GOTO 96
END

IF ~~ THEN BEGIN 94 // from: 89.3
  SAY #69840 /* ~I would prefer to be at your side. I hope there is room...~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 95 // from: 89.0
  SAY #69841 /* ~Quaint, but I don't know if the gods care for dancing.~ */
  IF ~~ THEN REPLY #69842 /* ~Then they can sit this one out. I'll take care of things.~ */ GOTO 99
  IF ~~ THEN REPLY #69843 /* ~Maybe we'll get the chance to ask. Who knows...~ */ GOTO 98
END

IF ~~ THEN BEGIN 96 // from: 93.1
  SAY #69844 /* ~It's that or cry. Come on, let's go.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 97 // from: 93.0
  SAY #69845 /* ~Yes... you and me...~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 98 // from: 95.1
  SAY #69846 /* ~Who knows anything...~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 99 // from: 95.0
  SAY #69847 /* ~I know you will.~ */
  IF ~~ THEN EXIT
END

IF ~~ THEN BEGIN 100 // from: BAERIE25:154.9
  SAY #69856 /* ~Ah, this time comes sooner than I expected... I have little experience with the gestation period of the Avariel.  Do not give me that look, <CHARNAME>.  Did you really think we were so blind we would not see Aerie's swollen belly beneath her robes?  Fortunately I have prepared some herbs to ease her pain during this coming ordeal.~ */
  IF ~~ THEN EXTERN ~BAERIE25~ 155
  IF ~InParty("Jan")
See("Jan")
!StateCheck("Jan",STATE_SLEEPING)~ THEN EXTERN ~BJAN25~ 95
  IF ~InParty("Keldorn")
See("Keldorn")
!StateCheck("Keldorn",STATE_SLEEPING)~ THEN EXTERN ~BKELDO25~ 55
  IF ~InParty("Anomen")
See("Anomen")
!StateCheck("Anomen",STATE_SLEEPING)~ THEN EXTERN ~BANOME25~ 62
  IF ~InParty("Edwin")
See("Edwin")
!StateCheck("Edwin",STATE_SLEEPING)~ THEN EXTERN ~BEDWIN25~ 0
  IF ~InParty("Viconia")
See("Viconia")
!StateCheck("Viconia",STATE_SLEEPING)~ THEN EXTERN ~BVICON25~ 71
  IF ~InParty("Mazzy")
See("Mazzy")
!StateCheck("Mazzy",STATE_SLEEPING)~ THEN EXTERN ~BMAZZY25~ 67
  IF ~InParty("Nalia")
See("Nalia")
!StateCheck("Nalia",STATE_SLEEPING)~ THEN EXTERN ~BNALIA25~ 58
END
